
#ifndef _CDIB_H_
#define _CDIB_H_

class CDib
{

public:
	CDib( UINT nResID );
	CDib( const HDC hDC, CDib* pDib );
	CDib( const HDC hDC, int width, int height );
	CDib( const HDC hDC, int width, int height, HPALETTE hPal );
	~CDib();

	void Draw( HDC hDC, int dx, int dy, int sx, int sy, int sw, int sh );
	void Draw( HDC hDC, int dx, int dy, int sx, int sy, int sw, int sh, int scale );

	void Save ( char* filename );

public:
	HBITMAP			m_hBitmap;
	VOID*			m_pBits;
	HANDLE			m_hInfo;
	LPBITMAPINFO	m_pInfo;
	long			m_InfoSize;
	HPALETTE		m_hPalette;
	BOOL			m_pal_loaded;
	long			m_Width, m_Height;

};



#endif
